<lib-condensed-header-layout
  *transloco="let t"
  [pageTitle]="this.news?.title ?? t(pageTitleKey)"
  [useContentFont]="true"
  [useMaximumBackground]="true"
  class="ion-page"
  titleLang="de"
>
  <lib-news-details-skeleton
    *ngIf="detailsLoadingComplete"
  ></lib-news-details-skeleton>
  <ion-grid
    *ngIf="!detailsLoadingComplete"
    class="ion-no-padding flex-list-content-sections"
  >
    <div class="flex-list-subsections">
      @if (!newsNotFound && !errorModule) {
        @if (news) {
          <ion-col class="flex-list-small" size="12">
            <div class="module-header secondary-color">
              {{ t('feature_news.module_name_singular') }}
            </div>
            <ion-label class="secondary-color">{{
              news.date | localizedRelativeTimePipe: false
            }}</ion-label>
          </ion-col>
          <ion-col *ngIf="imageUrl" class="flex-list-small" size="12">
            <img
              [src]="imageUrl"
              [alt]="news.image?.description"
              [height]="news.image?.highRes?.height"
              [width]="news.image?.highRes?.width"
              class="rounded-image"
              libLightbox
              [images]="[
                {
                  src: imageUrl,
                  width: news.image?.highRes?.width,
                  height: news.image?.highRes?.height,
                  caption: news.image?.description,
                },
              ]"
            />
            <div
              class="image-sub-content"
              *ngIf="news.image?.description || news.image?.copyrightHolder"
            >
              <div
                class="image-description content-font"
                [lang]="'de'"
                *ngIf="news.image?.description"
              >
                {{ news.image?.description | stripHtml }}
              </div>
              <div
                class="image-copyright-holder secondary-color"
                *ngIf="news.image?.copyrightHolder"
              >
                {{
                  t('feature_news.details.image', {
                    copyrightHolder: news.image?.copyrightHolder,
                  })
                }}
              </div>
            </div>
          </ion-col>

          <ion-col
            size="12"
            class="content-text flex-list-small"
            lang="de"
            translate="yes"
          >
            <div>
              <p *ngIf="news.subtitle">
                <strong class="content-font">{{ news.subtitle }}</strong>
              </p>

              <div
                *ngIf="news.text"
                [innerHTML]="news.text"
                class="no-content-margin content-font"
                appSafeExternalLinks
              ></div>
            </div>
            <ion-label class="source secondary-color">
              {{
                t('feature_news.details.published_by', { source: news.source })
              }}
            </ion-label>
          </ion-col>

          <ion-col size="12">
            <lib-action-button-bar
              [actions]="[
                {
                  icon: 'share',
                  label: t('feature_news.details.share.title'),
                  onClick: shareNews.bind(this),
                },
                {
                  icon: 'open_in_new',
                  label: t('feature_news.details.source'),
                  onClick: openNewsUrl.bind(this),
                  isVisible: hasNewsUrl(),
                  linkUrl: news.sourceUrl ?? '',
                },
              ]"
            >
            </lib-action-button-bar>
          </ion-col>
        }
      } @else {
        <lib-connectivity-error-handling-card
          [show]="!hasFeedItems"
          [title]="t('feature_news.connectivity-error.title_details')"
        ></lib-connectivity-error-handling-card>
        <lib-details-not-found-error-handling-card
          [content]="t('feature_news.not-found-error.content')"
          [detailsId]="newsId!"
          [hasFeedItems$]="hasFeedItems$"
          [moduleInfo]="moduleInfo"
          [title]="t('feature_news.not-found-error.title')"
        ></lib-details-not-found-error-handling-card>
      }
    </div>
    <div>
      <ion-row
        *ngIf="hasFeedItems"
        class="ion-justify-content-center flex-list-feed-items"
      >
        <div class="more-section">
          {{ t('feature_news.details.more_from_this_category') }}
        </div>
        <ion-col *ngFor="let feedItem of feedItems" [size]="12">
          <ng-container
            *ngComponentOutlet="
              feedItem.cardComponent;
              inputs: {
                feedItem: feedItem,
                routerLink: ['../', feedItem.id],
                state: {
                  excludedNewsIds: excludedNews.concat([feedItem.id]).join(','),
                },
              }
            "
          />
        </ion-col>

        <ng-container
          *ngIf="!feedLoadingComplete"
          class="ion-justify-content-center flex-list-feed-items"
        >
          <ion-col
            *ngFor="let _ of [].constructor(7); let i = index"
            [size]="12"
          >
            <lib-skeleton-feed-card></lib-skeleton-feed-card>
          </ion-col>
          <lib-new-content-text></lib-new-content-text>
        </ng-container>
      </ion-row>
      <ion-infinite-scroll (ionInfinite)="loadMoreFeedItems($event)">
        <ion-infinite-scroll-content></ion-infinite-scroll-content>
      </ion-infinite-scroll>
    </div>
  </ion-grid>
</lib-condensed-header-layout>
